Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined
Summary: suggestion.suggesteddate should be set to NOW if not defined
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11391
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-30 10:47 UTC by Jonathan Druart
Modified: 2017-12-07 22:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined (1.97 KB, patch)
2017-07-19 18:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined (2.10 KB, patch)
2017-07-20 09:08 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined (2.18 KB, patch)
2017-08-10 18:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13012: Add more tests (2.04 KB, patch)
2017-08-10 18:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-09-30 10:47:10 UTC
Bug 11391 remove the default value 0 for the suggesteddate.
Actually it should be NOW.
Comment 1 Jonathan Druart 2014-09-30 10:54:04 UTC
Which is not possible. We should make this field a timestamp instead of a date.
Comment 2 Kyle M Hall 2017-07-19 18:58:17 UTC
Created attachment 65127 [details] [review]
Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Koha/Suggestions.t
Comment 3 Marc Véron 2017-07-20 09:08:05 UTC
Created attachment 65139 [details] [review]
Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Koha/Suggestions.t

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Jonathan Druart 2017-08-10 18:55:41 UTC
Created attachment 65845 [details] [review]
Bug 13012 - suggestion.suggesteddate should be set to NOW if not defined

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Koha/Suggestions.t

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-08-10 18:55:46 UTC
Created attachment 65846 [details] [review]
Bug 13012: Add more tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-08-10 19:30:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-09-29 09:50:14 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 8 Katrin Fischer 2017-10-01 21:37:05 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.